Index: src/sas/sasgui/perspectives/calculator/data_operator.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/data_operator.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/data_operator.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -182,5 +182,5 @@
         On data name typing
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         item = event.GetEventObject()
@@ -264,5 +264,5 @@
         self.put_text_pic(self.data2_pic, content=str(val))
         self.check_data_inputs()
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -284,5 +284,5 @@
             self.data1_pic.add_image(data)
         self.check_data_inputs()
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -297,5 +297,5 @@
         self.put_text_pic(self.operator_pic, content=text)
         self.check_data_inputs()
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -329,10 +329,10 @@
                 data = None
             item.SetClientData(pos, data)
-            if data != None:
+            if data is not None:
                 self.check_data_inputs()
 
             self.put_text_pic(self.data2_pic, content)
 
-        if self.output != None:
+        if self.output is not None:
             self.output.name = str(self.data_namectr.GetValue())
         self.draw_output(self.output)
@@ -472,5 +472,5 @@
         On Focus at this window
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         self._data = self.get_datalist()
@@ -534,6 +534,6 @@
         ids = self._data.keys()
         for id in ids:
-            if id != None:
-                if self._data[id].data != None:
+            if id is not None:
+                if self._data[id].data is not None:
                     dnames.append(self._data[id].data.name)
                 else:
@@ -546,5 +546,5 @@
             for datastate in val_list:
                 data = datastate.data
-                if data != None:
+                if data is not None:
                     name = data.name
                     pos1 = self.data1_cbox.Append(str(name))
@@ -577,5 +577,5 @@
         """
         data_manager = self.parent.parent.get_data_manager()
-        if data_manager != None:
+        if data_manager is not None:
             return  data_manager.get_all_data()
         else:
@@ -983,5 +983,5 @@
         On close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.data_operator_frame = None
         self.panel.disconnect_panels()
Index: src/sas/sasgui/perspectives/calculator/density_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/density_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/density_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -438,5 +438,5 @@
         On close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.cal_md_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/perspectives/calculator/gen_scatter_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -61,5 +61,5 @@
     Add icon in the frame
     """
-    if parent != None:
+    if parent is not None:
         if hasattr(frame, "IsIconized"):
             if not frame.IsIconized():
@@ -74,10 +74,10 @@
     Set_error dialog
     """
-    if item != None:
+    if item is not None:
         item.SetBackgroundColour("pink")
         item.Refresh()
     if show_msg:
         msg = "Error: wrong (or out of range) value entered."
-        if panel.parent.parent != None:
+        if panel.parent.parent is not None:
             wx.PostEvent(panel.parent.parent,
                      StatusEvent(status=msg, info='Error'))
@@ -425,5 +425,5 @@
         """
         unit = 'sec'
-        if self.time_text != None:
+        if self.time_text is not None:
             self.time_text.SetForegroundColour('black')
             etime = self.estimate_ctime()
@@ -633,5 +633,5 @@
         self.model.set_sld_data(self.sld_data)
 
-        self.draw_button.Enable(self.sld_data != None)
+        self.draw_button.Enable(self.sld_data is not None)
         wx.CallAfter(self.parent.set_sld_data, self.sld_data)
         self._update_model_params()
@@ -855,5 +855,5 @@
         """
         flag = self.parent.check_omfpanel_inputs()
-        if not flag and self.parent.parent != None:
+        if not flag and self.parent.parent is not None:
             infor = 'Error'
             msg = 'Error: Wrong inputs in the SLD info panel.'
@@ -865,5 +865,5 @@
         self.sld_data = self.parent.get_sld_from_omf()
         if self.sld_data is None:
-            if self.parent.parent != None:
+            if self.parent.parent is not None:
                 infor = 'Error'
                 msg = 'Error: No data has been selected.'
@@ -971,5 +971,5 @@
         self.bt_compute.SetLabel(label)
         self.bt_compute.SetToolTipString(label)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             wx.PostEvent(self.parent.parent,
                              StatusEvent(status=msg, type=type))
@@ -995,5 +995,5 @@
         for ind in range(len(input[0])):
             if self.is_avg:
-                if ind % 1 == 0 and update != None:
+                if ind % 1 == 0 and update is not None:
                     update()
                     time.sleep(0.1)
@@ -1002,5 +1002,5 @@
                 out = np.append(out, outi)
             else:
-                if ind % 50 == 0  and update != None:
+                if ind % 50 == 0  and update is not None:
                     update()
                     time.sleep(0.001)
@@ -1151,5 +1151,5 @@
         new_plot.label = new_plot.id
         #theory_data = deepcopy(new_plot)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             self.parent.parent.update_theory(data_id=new_plot.id,
                                            theory=new_plot,
@@ -1210,5 +1210,5 @@
         new_plot.label = new_plot.id
         #theory_data = deepcopy(new_plot)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             self.parent.parent.update_theory(data_id=data.id,
                                            theory=new_plot,
@@ -1299,5 +1299,5 @@
                 mz = sld_sets[key]
             else:
-                if sld_sets[key] != None:
+                if sld_sets[key] is not None:
                     self.sld_data.set_sldn(sld_sets[key])
         self.sld_data.set_sldms(mx, my, mz)
@@ -1347,5 +1347,5 @@
             infor = 'Error'
             #logger.error(msg)
-            if self.parent.parent != None:
+            if self.parent.parent is not None:
                 # inform msg to wx
                 wx.PostEvent(self.parent.parent,
@@ -1690,5 +1690,5 @@
             data = self.parent.get_sld_data()
             fName = os.path.splitext(path)[0] + '.' + extension.split('.')[-1]
-            if data != None:
+            if data is not None:
                 try:
                     reader.write(fName, data)
@@ -1699,5 +1699,5 @@
                 infor = 'Error'
                 #logger.error(msg)
-                if self.parent.parent != None:
+                if self.parent.parent is not None:
                     # inform msg to wx
                     wx.PostEvent(self.parent.parent,
@@ -1708,5 +1708,5 @@
             msg = "Error occurred while saving. "
             infor = 'Error'
-            if self.parent.parent != None:
+            if self.parent.parent is not None:
                 # inform msg to wx
                 wx.PostEvent(self.parent.parent,
@@ -1718,5 +1718,5 @@
         """
         flag = True
-        if event != None:
+        if event is not None:
             event.Skip()
             ctl = event.GetEventObject()
@@ -1758,5 +1758,5 @@
         """
         flag = True
-        if event != None:
+        if event is not None:
             event.Skip()
             ctl = event.GetEventObject()
@@ -1974,5 +1974,5 @@
         Send full draw to gui frame
         """
-        if self.parent != None:
+        if self.parent is not None:
             self.parent.set_schedule_full_draw(panel, func)
 
@@ -2050,5 +2050,5 @@
         Close
         """
-        if self.base != None:
+        if self.base is not None:
             self.base.gen_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/image_viewer.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/image_viewer.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -70,5 +70,5 @@
                 plot_frame.SetTitle('Picture -- %s --' % basename)
                 plot_frame.Show(True)
-                if parent != None:
+                if parent is not None:
                     parent.put_icon(plot_frame)
             except:
@@ -403,5 +403,5 @@
         output.is_data = True
         output = reader2D_converter(output)
-        if self.base != None:
+        if self.base is not None:
             data = self.base.create_gui_data(output, self.title)
             self.base.add_data({data.id:data})
Index: src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/kiessig_calculator_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -190,5 +190,5 @@
         """
         # skip for another event
-        if event != None:
+        if event is not None:
             event.Skip()
         dq = self.dq_name_tcl.GetValue()
@@ -237,5 +237,5 @@
         Close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.kiessig_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/model_editor.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/model_editor.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -387,5 +387,5 @@
         self._msg_box.SetLabel(msg)
         self._msg_box.SetForegroundColour(color)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             from sas.sasgui.guiframe.events import StatusEvent
             wx.PostEvent(self.parent.parent, StatusEvent(status=msg,
@@ -478,5 +478,5 @@
         """
         # For Mac
-        if event != None:
+        if event is not None:
             event.Skip()
         item = event.GetEventObject()
@@ -979,5 +979,5 @@
 
         # Prepare the messagebox
-        if self.base != None and not msg:
+        if self.base is not None and not msg:
             self.base.update_custom_combo()
             # Passed exception in import test as it will fail for sasmodels.sasview_model class
@@ -1002,5 +1002,5 @@
         self._msg_box.SetForegroundColour(color)
         # Send msg to the top window
-        if self.base != None:
+        if self.base is not None:
             from sas.sasgui.guiframe.events import StatusEvent
             wx.PostEvent(self.base.parent,
@@ -1190,5 +1190,5 @@
         """
         self.Show(False)
-        #if self.parent != None:
+        #if self.parent is not None:
         #    self.parent.new_model_frame = None
         #self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/pyconsole.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/pyconsole.py	(revision ddbac6633a1e7ec42b99bb39f46b9889ccf26084)
+++ src/sas/sasgui/perspectives/calculator/pyconsole.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -118,7 +118,7 @@
         self.panel = panel
         self._add_menu()
-        if filename != None:
+        if filename is not None:
             dataDir = os.path.dirname(filename)
-        elif self.parent != None:
+        elif self.parent is not None:
             dataDir = self.parent._default_save_location
         else:
@@ -128,5 +128,5 @@
 
         # See if there is a corresponding C file
-        if filename != None:
+        if filename is not None:
             c_filename = os.path.splitext(filename)[0] + ".c"
             if os.path.isfile(c_filename):
@@ -244,5 +244,5 @@
 
         # See if there is a corresponding C file
-        if result.path != None:
+        if result.path is not None:
             c_filename = os.path.splitext(result.path)[0] + ".c"
             if os.path.isfile(c_filename):
@@ -303,5 +303,5 @@
 
         # Update plugin model list in fitpage combobox
-        if success and self._manager != None and self.panel != None:
+        if success and self._manager is not None and self.panel is not None:
             self._manager.set_edit_menu_helper(self.parent)
             wx.CallAfter(self._manager.update_custom_combo)
@@ -337,5 +337,5 @@
         Close event
         """
-        if self.base != None:
+        if self.base is not None:
             self.base.py_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/resolution_calculator_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -656,5 +656,5 @@
             event.Skip()
         # Clear the plot
-        if self.image != None:
+        if self.image is not None:
             self.image.clf()
             # reset image
@@ -674,5 +674,5 @@
         """
         # Skip event for next event
-        if event != None:
+        if event is not None:
             event.Skip()
             msg = "Please Check your input values "
@@ -708,5 +708,5 @@
             # Validate the wave inputs
             wave_input = self._validate_q_input(wavelength, wavelength_spread)
-            if wave_input != None:
+            if wave_input is not None:
                 wavelength, wavelength_spread = wave_input
 
@@ -757,5 +757,5 @@
         # Validate the q inputs
         q_input = self._validate_q_input(self.qx, self.qy)
-        if q_input != None:
+        if q_input is not None:
             self.qx, self.qy = q_input
 
@@ -769,5 +769,5 @@
 
         # Compute the resolution
-        if self.image != None:
+        if self.image is not None:
             #_pylab_helpers.Gcf.set_active(self.fm)
             _pylab_helpers.Gcf.figs = {}
@@ -982,5 +982,5 @@
         """
         # skip for another event
-        if event != None:
+        if event is not None:
             event.Skip()
         # init resolution_calculator
@@ -1148,5 +1148,5 @@
         Set the detector coordinate for sigmas to x-y coordinate
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         # Set the coordinate in Cartesian
@@ -1160,5 +1160,5 @@
         Set the detector coordinate for sigmas to polar coordinate
         """
-        if event != None:
+        if event is not None:
             event.Skip()
         # Set the coordinate in polar
@@ -1181,5 +1181,5 @@
         self.compute_button.SetLabel(label)
         self.compute_button.SetToolTipString(label)
-        if self.parent.parent != None:
+        if self.parent.parent is not None:
             wx.PostEvent(self.parent.parent,
                          StatusEvent(status=msg, type=type))
@@ -1196,5 +1196,5 @@
         On source combobox selection
         """
-        if event != None:
+        if event is not None:
             combo = event.GetEventObject()
             event.Skip()
@@ -1215,5 +1215,5 @@
         On source color combobox selection
         """
-        if event != None:
+        if event is not None:
             #combo = event.GetEventObject()
             event.Skip()
@@ -1253,5 +1253,5 @@
         On spectrum ComboBox event
         """
-        if event != None:
+        if event is not None:
             #combo = event.GetEventObject()
             event.Skip()
@@ -1348,5 +1348,5 @@
         """
         _pylab_helpers.Gcf.figs = {}
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.cal_res_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/sld_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/sld_panel.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/calculator/sld_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -504,5 +504,5 @@
         On close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.sld_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py
===================================================================
--- src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/calculator/slit_length_calculator_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -303,5 +303,5 @@
         Close event
         """
-        if self.manager != None:
+        if self.manager is not None:
             self.manager.cal_slit_frame = None
         self.Destroy()
Index: src/sas/sasgui/perspectives/corfunc/corfunc_panel.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision 1dc8ec9bbfd72210acd49400626adfb8eb6c3c87)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -320,5 +320,5 @@
         path = None
         default_save_location = os.getcwd()
-        if self._manager.parent != None:
+        if self._manager.parent is not None:
             default_save_location = self._manager.parent.get_save_location()
 
@@ -329,5 +329,5 @@
             path = dlg.GetPath()
             default_save_location = os.path.dirname(path)
-            if self._manager.parent != None:
+            if self._manager.parent is not None:
                 self._manager.parent._default_save_location = default_save_location
         else:
Index: src/sas/sasgui/perspectives/corfunc/corfunc_state.py
===================================================================
--- src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/corfunc/corfunc_state.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -293,5 +293,5 @@
                 corstate = self._parse_state(entry)
 
-                if corstate != None:
+                if corstate is not None:
                     sas_entry.meta_data['corstate'] = corstate
                     sas_entry.filename = corstate.file
Index: src/sas/sasgui/perspectives/fitting/batchfitpage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/batchfitpage.py	(revision ee4b3cbc1850f87671526c54335834959ffdfe84)
+++ src/sas/sasgui/perspectives/fitting/batchfitpage.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -200,8 +200,8 @@
 #         self.state.formfactorcombobox = self.formfactorbox.GetCurrentSelection()
 #       
-#         if self.model != None:
+#         if self.model is not None:
 #             self._set_copy_flag(True)
 #             self._set_paste_flag(True)
-#             if self.data != None:
+#             if self.data is not None:
 #                 self._set_bookmark_flag(False)
 #                 self._keep.Enable(False)
@@ -225,5 +225,5 @@
 # 
 #             
-#         if event != None:
+#         if event is not None:
 #             ## post state to fit panel
 #             new_event = PageInfoEvent(page = self)
@@ -254,5 +254,5 @@
 #         is_modified = False
 # 
-#         if self.model != None:           
+#         if self.model is not None:
 #             ##Check the values
 #             self._check_value_enter( self.fittable_param)
@@ -291,5 +291,5 @@
 #         else:
 #             #self.btFit.Enable(True)
-#             if self._is_2D() and  self.data != None:
+#             if self._is_2D() and  self.data is not None:
 #                 self.btEditMask.Enable(True)
 # 
@@ -335,5 +335,5 @@
 #             self._set_save_flag(False)
 #         else:
-#             if self.model != None:
+#             if self.model is not None:
 #                 self._set_bookmark_flag(False)
 #                 self._keep.Enable(False)
Index: src/sas/sasgui/perspectives/fitting/fitting.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/fitting.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/fitting/fitting.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -302,5 +302,5 @@
         Make new model
         """
-        if self.new_model_frame != None:
+        if self.new_model_frame is not None:
             self.new_model_frame.Show(False)
             self.new_model_frame.Show(True)
@@ -441,5 +441,5 @@
             wx.PostEvent(self.parent, StatusEvent(status=msg))
 
-        if page != None:
+        if page is not None:
             return set_focus_page(page)
         if caption == "Const & Simul Fit":
@@ -634,5 +634,5 @@
             state = self.temp_state[self.state_index]
             #panel state should have model selection to set_state
-            if state.formfactorcombobox != None:
+            if state.formfactorcombobox is not None:
                 #set state
                 data = self.parent.create_gui_data(state.data)
@@ -1016,5 +1016,5 @@
                 return False
         ## If a thread is already started, stop it
-        #if self.calc_fit!= None and self.calc_fit.isrunning():
+        #if self.calc_fitis not None and self.calc_fit.isrunning():
         #    self.calc_fit.stop()
         msg = "Fitting is in progress..."
@@ -1106,5 +1106,5 @@
             page = self.fit_panel.add_empty_page()
             # add data associated to the page created
-            if page != None:
+            if page is not None:
                 evt = StatusEvent(status="Page Created", info="info")
                 wx.PostEvent(self.parent, evt)
@@ -1216,5 +1216,5 @@
             for item in param:
                 ## check if constraint
-                if item[0] != None and item[1] != None:
+                if item[0] is not None and item[1] is not None:
                     listOfConstraint.append((item[0], item[1]))
         new_model = model
@@ -1457,5 +1457,5 @@
         cell.value = index
 
-        if theory_data != None:
+        if theory_data is not None:
             #Suucessful fit
             theory_data.id = wx.NewId()
@@ -1544,5 +1544,5 @@
                     #(CallAfter is important to MAC)
                     try:
-                        #if res != None:
+                        #if res is not None:
                         wx.CallAfter(cpage.onsetValues, res.fitness,
                                      res.param_list,
@@ -2010,5 +2010,5 @@
             if index is None:
                 index = np.ones(len(data_copy.data), dtype=bool)
-            if weight != None:
+            if weight is not None:
                 data_copy.err_data = weight
             # get rid of zero error points
@@ -2025,5 +2025,5 @@
             if index is None:
                 index = np.ones(len(data_copy.y), dtype=bool)
-            if weight != None:
+            if weight is not None:
                 data_copy.dy = weight
             if data_copy.dy is None or data_copy.dy == []:
Index: src/sas/sasgui/perspectives/fitting/model_thread.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/fitting/model_thread.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -56,5 +56,5 @@
             self.qmin = 0
         if self.qmax is None:
-            if self.data != None:
+            if self.data is not None:
                 newx = math.pow(max(math.fabs(self.data.xmax),
                                    math.fabs(self.data.xmin)), 2)
Index: src/sas/sasgui/perspectives/fitting/report_dialog.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/fitting/report_dialog.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -39,5 +39,5 @@
         self.nimages = len(self.report_list[2])
 
-        if self.report_list[2] != None:
+        if self.report_list[2] is not None:
             # put image path in the report string
             if len(self.report_list[2]) == 1:
Index: src/sas/sasgui/perspectives/invariant/invariant.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/invariant/invariant.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -331,5 +331,5 @@
         new_plot.title = self.__data.title
         # Save theory_data in a state
-        if data != None:
+        if data is not None:
             name_head = name.split('-')
             if name_head[0] == 'Low':
@@ -353,5 +353,5 @@
 
         # Save data in a state: but seems to never happen
-        if new_plot != None:
+        if new_plot is not None:
             self.invariant_panel.state.data = copy.deepcopy(new_plot)
         wx.PostEvent(self.parent, NewPlotEvent(plot=new_plot,
Index: src/sas/sasgui/perspectives/invariant/invariant_panel.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/invariant/invariant_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -609,5 +609,5 @@
             wx.PostEvent(self.parent, StatusEvent(status=msg))
         # set a state for this computation for saving
-        elif event != None:
+        elif event is not None:
             self._set_compute_state(state='compute')
             self._set_bookmark_flag(True)
@@ -718,5 +718,5 @@
         self._set_preview_flag(True)
 
-        if event != None:
+        if event is not None:
             self._set_preview_flag(True)
             self._set_save_flag(True)
@@ -1022,5 +1022,5 @@
         self.state.saved_state['state_num'] = 0
         self.state.saved_state['compute_num'] = 0
-        if self._data != None:
+        if self._data is not None:
             self.state.saved_state['file'] = str(self._data.name)
         else:
@@ -1244,5 +1244,5 @@
         # Ask the user the location of the file to write to.
         path = None
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = self.parent.get_save_location()
         if self._default_save_location is None:
@@ -1254,5 +1254,5 @@
             path = dlg.GetPath()
             self._default_save_location = os.path.dirname(path)
-            if self.parent != None:
+            if self.parent is not None:
                 self.parent._default_save_location = \
                     self._default_save_location
@@ -1393,5 +1393,5 @@
         Enable and disable the power value editing
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1411,5 +1411,5 @@
         Disable or enable some button if the user enable low q extrapolation
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1438,5 +1438,5 @@
         Enable editing power law section at low q range
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
@@ -1537,5 +1537,5 @@
         Enable and disable the power value editing
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
 
@@ -1554,5 +1554,5 @@
         Disable or enable some button if the user enable high q extrapolation
         """
-        if event != None:
+        if event is not None:
             self._set_bookmark_flag(True)
             self._set_preview_flag(False)
Index: src/sas/sasgui/perspectives/invariant/invariant_state.py
===================================================================
--- src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/invariant/invariant_state.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -281,5 +281,5 @@
         # File name
         element = newdoc.createElement("filename")
-        if self.file != None and self.file != '':
+        if self.file is not None and self.file != '':
             element.appendChild(newdoc.createTextNode(str(self.file)))
         else:
@@ -734,5 +734,5 @@
                     # invstate could be None when .svs file is loaded
                     # in this case, skip appending to output
-                    if invstate != None:
+                    if invstate is not None:
                         sas_entry.meta_data['invstate'] = invstate
                         sas_entry.filename = invstate.file
Index: src/sas/sasgui/perspectives/pr/inversion_panel.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 235f514ba93b57fa63e44309f182acef0b98bb55)
+++ src/sas/sasgui/perspectives/pr/inversion_panel.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -271,5 +271,5 @@
         # Ask the user the location of the file to write to.
         path = None
-        if self.parent != None:
+        if self.parent is not None:
             self._default_save_location = self.parent._default_save_location
         dlg = wx.FileDialog(self, "Choose a file",
@@ -279,5 +279,5 @@
             path = dlg.GetPath()
             self._default_save_location = os.path.dirname(path)
-            if self.parent != None:
+            if self.parent is not None:
                 self.parent._default_save_location = self._default_save_location
         else:
Index: src/sas/sasgui/perspectives/pr/inversion_state.py
===================================================================
--- src/sas/sasgui/perspectives/pr/inversion_state.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/pr/inversion_state.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -473,5 +473,5 @@
                     #prstate could be None when .svs file is loaded
                     #in this case, skip appending to output
-                    if prstate != None:
+                    if prstate is not None:
                         sas_entry.meta_data['prstate'] = prstate
                         sas_entry.filename = prstate.file
Index: src/sas/sasgui/perspectives/pr/pr.py
===================================================================
--- src/sas/sasgui/perspectives/pr/pr.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
+++ src/sas/sasgui/perspectives/pr/pr.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -721,5 +721,5 @@
 
         # If a thread is already started, stop it
-        if self.calc_thread != None and self.calc_thread.isrunning():
+        if self.calc_thread is not None and self.calc_thread.isrunning():
             self.calc_thread.stop()
             ## stop just raises the flag -- the thread is supposed to
@@ -1129,5 +1129,5 @@
 
         # If a thread is already started, stop it
-        if self.estimation_thread != None and \
+        if self.estimation_thread is not None and \
             self.estimation_thread.isrunning():
             self.estimation_thread.stop()
@@ -1159,5 +1159,5 @@
 
         # If a thread is already started, stop it
-        if self.estimation_thread != None and self.estimation_thread.isrunning():
+        if self.estimation_thread is not None and self.estimation_thread.isrunning():
             self.estimation_thread.stop()
             ## stop just raises the flag -- the thread is supposed to
Index: src/sas/sasgui/perspectives/simulation/simulation.py
===================================================================
--- src/sas/sasgui/perspectives/simulation/simulation.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
+++ src/sas/sasgui/perspectives/simulation/simulation.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -213,5 +213,5 @@
         
         # If a computation thread is running, stop it
-        if self.calc_thread_1D != None and self.calc_thread_1D.isrunning():
+        if self.calc_thread_1D is not None and self.calc_thread_1D.isrunning():
             self.calc_thread_1D.stop()
             ## stop just raises the flag -- the thread is supposed to 
